Subject: Re: linux-next: build failure after merge of the mhi tree

From: Manivannan Sadhasivam <[email-masked]>
Date: Wed, 2 Mar 2022 12:18:44 +0530

Hi Stephen,

On Wed, Mar 02, 2022 at 05:37:14PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the mhi tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> drivers/bus/mhi/ep/main.c: In function 'mhi_ep_register_controller':
> drivers/bus/mhi/ep/main.c:1426:9: error: implicit declaration of function 'irq_set_status_flags' [-Werror=implicit-function-declaration]
>  1426 |         irq_set_status_flags(mhi_cntrl->irq, IRQ_NOAUTOEN);
>       |         ^~~~~~~~~~~~~~~~~~~~
> drivers/bus/mhi/ep/main.c:1426:46: error: 'IRQ_NOAUTOEN' undeclared (first use in this function); did you mean 'IRQF_NO_AUTOEN'?
>  1426 |         irq_set_status_flags(mhi_cntrl->irq, IRQ_NOAUTOEN);
>       |                                              ^~~~~~~~~~~~
>       |                                              IRQF_NO_AUTOEN
> drivers/bus/mhi/ep/main.c:1426:46: note: each undeclared identifier is reported only once for each function it appears in
> 
> Caused by commit
> 
>   6cb3bc57b0c5 ("bus: mhi: ep: Add support for processing MHI endpoint interrupts")
> 
> Presumably a missing include.
> 

Yes, it seems I was missing "#include <linux/irq.h>" for irq APIs. Fixed
now!

But somehow this header got included in ARM cross compilation and I
failed to catch it.

Thanks,
Mani

> I have used the mhi tree from next-20220301 for today.
> 
> -- 
> Cheers,
> Stephen Rothwell